MWAWSection Class Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
MWAWSection Class Reference

a class which stores section properties More...

`#include <MWAWSection.hxx>`

Inheritance diagram for MWAWSection:

## Classes
struct | Column
| struct to store the columns properties More...

## Public Member Functions
| MWAWSection ()
| constructor
| MWAWSection (MWAWSection const &)=default
MWAWSection & | operator= (MWAWSection const &)=default
MWAWSection & | operator= (MWAWSection &&)=default
virtual | ~MWAWSection ()
| destructor
void | setColumns (int num, double width, librevenge::RVNGUnit widthUnit, double colSep=0)
| a function which sets n uniform columns
int | numColumns () const
| returns the number of columns
bool | hasSingleColumns () const
| returns the true if the section has only one columns
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | addColumnsTo (librevenge::RVNGPropertyListVector &propList) const
| add tabs to the propList
bool | operator!= (MWAWSection const &sec) const
| operator!=
bool | operator== (MWAWSection const &sec) const
| operator==

## Public Attributes
std::vector< Column > | m_columns
| the different column
double | m_width
| the total section width ( if set )
MWAWBorder | m_columnSeparator
| the vertical separator between columns
bool | m_balanceText
| true if the text is balanced between different columns
MWAWColor | m_backgroundColor
| the background color

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWSection const &sec)
| operator <<

## Detailed Description

a class which stores section properties

## Constructor & Destructor Documentation

## ◆ MWAWSection() [1/2]

MWAWSection::MWAWSection | ( |  | ) |
| inline

constructor

## ◆ MWAWSection() [2/2]

MWAWSection::MWAWSection | ( | MWAWSection const & |  | ) |
| default

## ◆ ~MWAWSection()

MWAWSection::~MWAWSection | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addColumnsTo()

void MWAWSection::addColumnsTo | ( | librevenge::RVNGPropertyListVector & | propList | ) | const

add tabs to the propList

## ◆ addTo()

void MWAWSection::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ hasSingleColumns()

bool MWAWSection::hasSingleColumns | ( |  | ) | const
| inline

returns the true if the section has only one columns

## ◆ numColumns()

int MWAWSection::numColumns | ( |  | ) | const
| inline

returns the number of columns

Referenced by MarinerWrtText::send(), ClarisWksText::sendText(), WriterPlsParser::sendWindow(), and GreatWksText::sendZone().

## ◆ operator!=()

bool MWAWSection::operator!= | ( | MWAWSection const & | sec | ) | const
| inline

operator!=

Referenced by operator==().

## ◆ operator=() [1/2]

MWAWSection & MWAWSection::operator= | ( | MWAWSection && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWSection & MWAWSection::operator= | ( | MWAWSection const & |  | ) |
| default

## ◆ operator==()

bool MWAWSection::operator== | ( | MWAWSection const & | sec | ) | const
| inline

operator==

## ◆ setColumns()

void MWAWSection::setColumns | ( | int | num,
|  | double | width,
|  | librevenge::RVNGUnit | widthUnit,
|  | double | colSep = `0`
| ) |  |

a function which sets n uniform columns

Note
  : this erases previous columns and border if there are some

Referenced by HanMacWrdJTextInternal::Section::getSection(), HanMacWrdKTextInternal::Section::getSection(), MsWks4Zone::readContentZones(), BeagleWksText::readSection(), LightWayTxtText::sendMainText(), ScriptWriterParser::sendMainZone(), MacWrtProStructuresListenerState::sendSection(), MsWrd1Parser::sendText(), NisusWrtText::sendText(), StudentWritingCParser::sendText(), WriteNowText::sendZone(), and RagTime5StyleManager::updateTextStyles().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWSection const & | sec
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor MWAWSection::m_backgroundColor

the background color

Referenced by addTo(), and operator!=().

## ◆ m_balanceText

bool MWAWSection::m_balanceText

true if the text is balanced between different columns

Referenced by addTo(), MsWrdStruct::Section::getSection(), operator!=(), and BeagleWksTextInternal::Section::Section().

## ◆ m_columns

std::vector<Column> MWAWSection::m_columns

the different column

Referenced by addColumnsTo(), addTo(), WriterPlsParser::findSection(), ClarisWksDocument::getMainSection(), ClarisWksTextInternal::Section::getSection(), FullWrtTextInternal::PageInfo::getSection(), GreatWksDRParserInternal::State::getSection(), GreatWksParserInternal::State::getSection(), HanMacWrdJTextInternal::Section::getSection(), HanMacWrdKTextInternal::Section::getSection(), MacWrtProStructuresInternal::Section::getSection(), MsWrdStruct::Section::getSection(), hasSingleColumns(), numColumns(), operator!=(), MarinerWrtParser::readZoneDim(), ScriptWriterParser::sendMainZone(), and setColumns().

## ◆ m_columnSeparator

MWAWBorder MWAWSection::m_columnSeparator

the vertical separator between columns

Referenced by addTo(), GreatWksDRParserInternal::State::getSection(), GreatWksParserInternal::State::getSection(), MWAWSection(), operator!=(), MsWks4Zone::readContentZones(), MarinerWrtParser::readDocInfo(), and BeagleWksText::readSection().

## ◆ m_width

double MWAWSection::m_width

the total section width ( if set )

The documentation for this class was generated from the following files:

- MWAWSection.hxx
- MWAWSection.cxx